Analytics
Long Animation Frames
Get Long Animation Frames (LoAF) data.
Two-part query:
- Summary (
total_frames,avg_duration) is sourced from the cheaploaf_count/loaf_total_durationPhase-3 columns. - Per-script breakdown (
data) ARRAY JOINs theloafNested.
bearerAuthheader
AuthentifizierungBearer <token>API token generated from the fastmon dashboard (Account → API Token) or at organization level (fmo_…, one that outlives its creator). Send as Authorization: Bearer fm_... or paste the full token (including its prefix) into the Authorize dialog.
org_id*Org IdFormat
uuidapplication/json- body
Request for Long Animation Frames data.
time_range*Time range for the query
filters?Optional filters
limit?LimitMax LoAF entries to return
Range
1 <= value <= 50Default
10Successful Response
application/json- response
Response for Long Animation Frames data.
meta*Facts about the result
request*The request as the server resolved it
data*array<>Long animation frames
frame_count*Frame CountLong animation frames over all scripts
avg_ms*Avg MsAverage frame duration in ms
POST
curl -X POST 'https://api.fastmon.eu/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/analytics/loaf' \ -H 'Content-Type: application/json' \ -d '{ "time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }}'{ "meta": { "execution_time_ms": 0, "total": 0, "limit": 0, "offset": 0, "has_more": true, "next_cursor": "string", "sampling": { "sampling_rate": 0, "is_sampled": true, "estimated_metrics": [ "string" ] }, "is_identity_mixed": true }, "request": { "time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }, "comparison_time_range": { "from": "2019-08-24T14:15:22Z", "to": "2019-08-24T14:15:22Z" }, "granularity": "minute", "identity": "stitch", "window_seconds": 0, "filters": {} }, "data": [ { "duration_ms": 0, "script_url": "string", "count": 0 } ], "frame_count": 0, "avg_ms": 0}